(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/platform-browser'), require('@angular/common')) :
  typeof define === 'function' && define.amd ? define('hybrid-avatar', ['exports', '@angular/core', '@angular/platform-browser', '@angular/common'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['hybrid-avatar'] = {}, global.ng.core, global.ng.platformBrowser, global.ng.common));
}(this, (function (exports, core, platformBrowser, common) { 'use strict';

  var HybridAvatarComponent = /** @class */ (function () {
      function HybridAvatarComponent(sanitizer) {
          this.sanitizer = sanitizer;
          this.defaultColors = [
              '#468547',
              '#FF3B30',
              '#eb7191',
              '#0050D6',
              '#3670b2',
              '#5856D6',
              '#FF2D55' // Pink
          ];
          this.defaultAvatarImage = "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGAAAABgCAAAAADH8y\n                jkAAAABGdBTUEAALGPC/xhBQAAAAlwSFlzAAAOwwAADsMBx2+oZAAAABh0RVh0U29\n                mdHdhcmUAcGFpbnQubmV0IDQuMS42/U4J6AAAAzJJREFUaN7t2OtvEkEQAPD+6Wy5\n                4yHQejEVaYumQtNXFGMr+EJ8QPqwjdYLpYaGPi1KJZVQQ+n1WNHG1Cvs7tzs4QdlP\n                pP5sXd7szM74OpxDPSBPvDPAR6fT+0VEJxe2akZrVaztvUm5nMaUOZK5/SPaOYniI\n                MASVRpRxzEiFPAyC7tFq18wBGAPDyjjDiZcAAgOcoO84E0wM0PEURAlvLDvC8H3Gs\n                JANockwGGGlQYRyoeIEUKiBweuAvJT41hLEB2QQB9iwXGYPlp048EVoAAXcAB7joU\n                KOGAUWh+euZFAfNggI6jgFU4kEQBBTiQRQFHcED/T4EDOLCGAnQ4kEYBaTgwhQJi4\n                PxmEAVcO4cCVYKrpttQYAlZrhNQIIIEPCew/HvoM/kJDIijAU8Nkn9Xoi+aA+Q/j0\n                gA5IMYeC7VOnoqovybRK75DQl20qEiOx+Ev3JfsHDIEU84wT3OOaC45AGXkjUZHd0\n                CYAwETZnRbotoFW44NycPxrevrMLYGIUNyuBJfySz0/ydvbH5eKgXdxXqyFSqHTHN\n                3b/O+WsA8EKFIAF34jAB2cLJyizq0L/z+WetHBblv1lq/2znlm3Av3ox459meBOey\n                79sXJw6LxV7wO3Lw7KRYVbM67nLm4By2AZA0paey9DjXf6fd7pgWH6VAANqvqOynR\n                aSEc/lH/BHk1unHdVvSYEBoTLjdK+W9PfpF7pe+sao30UVAoQqFB2loBgISuSn9Is\n                qAuTyt5+SwgfUAyoZG4QHEJ1Kx2se8FQ+P23NsoFxwwGAfteYwCfqSHxkAjHTEWCG\n                /Q5STuTP8LbpO/n8ee53AL1oZEdZ5X/JgZpc/npIVIvCTZn8ZlRcTackBHMGch5E0\n                E+pHoWdaIF95PsNsU80n+Xm043arXnL/lGvrsC6u56Zkt8X6XxE1joeq9tL35hhdJ\n                MXQJerYTXTgKc3XnkRvWlgEficzLUAsDe92sNq65D8BY3XbVtX0NEThPOCVZjFMX4\n                3/wsYZAsu/yPOV1FOdT4c1f6EM5xY77Kn6vq8BhhMoCOUNplaLu4ft6tI7Xi/uJya\n                1PpDYK8Br91EXtsr8NlJz/7xD6sjFaK6P4LfAAAAAElFTkSuQmCC";
          this.defaultTextColor = '#FFF'; // white
          this.defaultSize = 24;
          this.fontSizeOffset = 0.45;
          this.showInitials = false;
          this.showDefaultAvatar = false;
      }
      HybridAvatarComponent.prototype.ngOnInit = function () {
          this.initAll();
      };
      HybridAvatarComponent.prototype.ngOnChanges = function () {
          this.init();
      };
      HybridAvatarComponent.prototype.init = function () {
          switch (this.photo != null) {
              case true:
                  // this.name = null;
                  this.initials = null;
                  this.showInitials = false;
                  this.defaultAvatar = null;
                  this.showDefaultAvatar = false;
                  break;
              case false:
                  if (this.name != null || undefined) {
                      this.initials = this.getInitials(this.name);
                      this.showInitials = true;
                      this.photo = null;
                      this.defaultAvatar = null;
                      this.showDefaultAvatar = false;
                  }
                  else {
                      this.name = null;
                      this.initials = null;
                      this.showInitials = false;
                      this.photo = null;
                      this.defaultAvatar = this.sanitizer.bypassSecurityTrustUrl(this.defaultAvatarImage);
                      ;
                      this.showDefaultAvatar = true;
                  }
                  break;
              default:
                  this.name = null;
                  this.initials = null;
                  this.showInitials = false;
                  this.photo = null;
                  this.defaultAvatar = this.sanitizer.bypassSecurityTrustUrl(this.defaultAvatarImage);
                  ;
                  this.showDefaultAvatar = true;
                  break;
          }
      };
      HybridAvatarComponent.prototype.initAll = function () {
          this.init();
          this.color = this.color ? this.color : this.getColor();
          this.sizeNum = this.sizeToNum(this.size);
          this.size = this.sizeNum + "px";
          this.textcolor = this.textcolor ? this.textcolor : this.defaultTextColor;
          this.textFontSize = this.sizeNum * this.fontSizeOffset + "px";
      };
      HybridAvatarComponent.prototype.getInitials = function (text) {
          var names = text.split(' ');
          var initials = names[0].substring(0, 1).toUpperCase();
          if (names.length > 1) {
              initials += names[names.length - 1].substring(0, 1).toUpperCase();
          }
          return initials.toUpperCase();
      };
      HybridAvatarComponent.prototype.getColor = function () {
          // return this.defaultColors[Math.floor(Math.random() * this.defaultColors.length)]
          return '#808080';
      };
      HybridAvatarComponent.prototype.sizeToNum = function (inSize) {
          switch (inSize) {
              case 'small': return 24;
              case 'medium': return 48;
              case 'large': return 72;
              case 'x-large': return 96;
              case 'ion-small': return 18;
              case 'ion-medium': return 24;
              case 'ion-large': return 32;
              default: return this.defaultSize;
          }
      };
      return HybridAvatarComponent;
  }());
  HybridAvatarComponent.decorators = [
      { type: core.Component, args: [{
                  selector: 'hybrid-avatar',
                  template: "\n\t\t<div class=\"noselect\">\n\t\t<div class=\"circle\" [ngStyle]=\"{'background-color': color, 'width': size, 'height':size}\">\n\t\t\t<img *ngIf=\"showDefaultAvatar\" [src]=\"defaultAvatar\">\n\n\t\t\t<img *ngIf=\"!showInitials\" [src]=\"photo\">\n\t\t\t<div class=\"initials\" *ngIf=\"showInitials\" [ngStyle]=\"{'font-size': textFontSize, 'color': textcolor}\">{{initials}}\n\t\t\t</div>\n\t\t</div>\n\t\t</div>\n  ",
                  styles: [".circle{display:flex;justify-content:center;align-items:center;margin:auto}.circle,.circle img{border-radius:50%}.initials{font-weight:600}.noselect{-webkit-touch-callout:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}"]
              },] }
  ];
  HybridAvatarComponent.ctorParameters = function () { return [
      { type: platformBrowser.DomSanitizer }
  ]; };
  HybridAvatarComponent.propDecorators = {
      name: [{ type: core.Input }],
      photo: [{ type: core.Input }],
      size: [{ type: core.Input }],
      color: [{ type: core.Input }],
      textcolor: [{ type: core.Input }]
  };

  var HybridAvatarModule = /** @class */ (function () {
      function HybridAvatarModule() {
      }
      return HybridAvatarModule;
  }());
  HybridAvatarModule.decorators = [
      { type: core.NgModule, args: [{
                  declarations: [
                      HybridAvatarComponent
                  ],
                  imports: [
                      common.CommonModule
                  ],
                  exports: [
                      HybridAvatarComponent
                  ]
              },] }
  ];

  /*
   * Public API Surface of hybrid-avatar
   */

  /**
   * Generated bundle index. Do not edit.
   */

  exports.HybridAvatarComponent = HybridAvatarComponent;
  exports.HybridAvatarModule = HybridAvatarModule;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=hybrid-avatar.umd.js.map
